> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/3rd-party-integration/fastspring/fastspring-how-to-configure-a-maintenance-plan-option-in-fastspring.md).

# FastSpring - How to configure a maintenance plan option in FastSpring

If you want to offer your customers a Maintenance Plan option, you can configure FastSpring to offer this option and automatically renew the maintenance plan period in QLM when the plan is renewed in FastSpring.

**Step 1 - Create a Subscription Product for the Maintenance Plan**

* In FastSpring, create a Subscription Product&#x20;
* Add a fulfillment action to this product as follows:
  * URL: <https://qlm3.net/qlmdemo/qlmLicenseServer/qlmservice.asmx/RenewMaintenancePlan?is\\_vendor=fastspring>
  * Method: HTTP POST
  * POST Encoding: UTF-8
  * Output Format: Single-Line License (Quantity Based)
* In the Advanced tab, set the Fulfillment Applicability to "Applies to Rebills Only"

&#x20;

**Step 2 - Add the maintenance plan as an option to your base product**

* Select your base product and click Edit in the Product Choices section
* Click Add Choice and add the Subscription Product created above
* Configure the options as per your requirements

**Step 3 - Add a Notification**

* In the FastSpring top toolbar, click the **Notifications** icon
* In the Custom Notifications section, click Add
* Set the Event Type to: Order Completed (one per product)
* Set the Destination to: HTTP URL
* Set the Live Server URL to: <https://qlm3.net/qlmdemo/qlmLicenseServer/qlmservice.asmx/RenewMaintenancePlan?is\\_vendor=fastspring\\&is\\_productid=1\\&is\\_majorversion=1\\&is\\_minorversion=0>
* Set the Method to: POST
* In the Conditions tab, set the following:
  * Rule Applicability: Applies to Non-rebills / First Orders only
  * Products: Select your subscription product created above
* In the HTTP Parameters tab, add the following parameters:
  * Name: quantity&#x20;
  * Value: #{orderItem.quantity}
* In the HTTP Parameters tab, add the following parameters:
  * Name: subscriptionReference
  * Value: #{orderItem.subscription.reference}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/3rd-party-integration/fastspring/fastspring-how-to-configure-a-maintenance-plan-option-in-fastspring.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
